Get the job reload information of a given jobId for a dataset

get

/api/20210901/catalog/datasets/{datasetId}/history/{jobId}

Get the job reload information of a given jobId for a dataset

Request

Path Parameters
Query Parameters
  • possible values:\ true or false. Default value is true. If true, all task histories will be included in job histories. If false, only job histories will be returned.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : JobInformation
Type: object
Show Source
Nested Schema : jobTasks
Type: array
Show Source
Nested Schema : TaskInformation
Type: object
Show Source

403 Response

Forbidden (missing permissions for operation, request denied for unspecified reason, and so on).
Body ()
Root Schema : Error
Type: object
Show Source

404 Response

Not Found. The requested resource was not found.
Body ()
Root Schema : Error
Type: object
Show Source

500 Response

Internal Server Error. The server encountered an unexpected condition preventing fulfilment of the request.
Body ()
Root Schema : Error
Type: object
Show Source
Back to Top

Examples

In this example, you return the detailed history of a specific reload operation for the ID 1234ABCD5678EFGH9012IJKL3456MNOP and a given datasetID. The object ID of the data set is 'john.smith@mycompany.com'.'MySalesDataset' which has the Base64URL-safe encoded datasetID value: J2pvaG4uc21pdGhAbXljb21wYW55LmNvbScuJ015U2FsZXNEYXRhc2V0Jw.

cURL Example:

curl -i \
     --header 'Authorization: Bearer <token>' \
     --header 'Content-Type: application/json' \
     --request GET 'https://<hostname>/api/20210901/catalog/datasets/J2pvaG4uc21pdGhAbXljb21wYW55LmNvbScuJ015U2FsZXNEYXRhc2V0Jw/history/1234ABCD5678EFGH9012IJKL3456MNOP' \

This example returns both job and task history for a specific job.

Example of Request Body

Not applicable.

Example of Response Body

[
    {
    "jobName":"'john.smith@mycompany.com'.'MySalesDataSet: Enrich MySales Report'",
    "jobIdentifier":"1234ABCD5678EFGH9012IJKL3456MNOP",
    "jobStartTimestamp":"2024-06-24T16:08:44.0+0000",
    "jobExecutionStartTimestamp":"2024-06-24T16:09:14.0+0000",
    "jobEndTimestamp":"2024-06-24T16:09:45.0+0000",
    "jobStatus":"SUCCEEDED",
    "jobRunType":"DATASET",
    "jobNumberOfSuccessfulRows":"29796",
    "jobQueuedDuration":"PT1M1S",
    "jobRunDuration":"PT31S",
    "jobOriginOfRequest":"External",
    "jobNumberOfTasks":"1",
    "jobTasks":[{"taskName":"DSET : MySalesDataSet: Enrich MySales Report",
        "taskStartTimestamp":"2024-06-24T16:09:25.0+0000",
        "taskEndTimestamp":"2024-06-24T16:09:38.0+0000",
        "taskStatus":"SUCCEEDED",
        "taskSourceName":"'john.smith@mycompany.com'.'MySalesDataSet - Set 1'",
        "taskTargetName":"Data Set Storage",
        "taskAverageReadThroughput":"6127",
        "taskDataSizeInBytes":"458752",
        "taskNumberOfSuccessfulRows":"29796",
        "taskDuration":"PT13S"}]
    }
]

cURL Example with Parameters:

If you want to exclude task history, apply the query parameter includeTasks=false.

curl -i \
     --header 'Authorization: Bearer <token>' \
     --header 'Content-Type: application/json' \
     --request GET 'https://<hostname>/api/20210901/catalog/datasets/J2pvaG4uc21pdGhAbXljb21wYW55LmNvbScuJ015U2FsZXNEYXRhc2V0Jw/history/1234ABCD5678EFGH9012IJKL3456MNOP?includeTasks=false' \
Back to Top